%define	name	asterisk
%define	version	1.6.2.6
%define release	%mkrel 4

%define _requires_exceptions perl(Carp::Heavy)
%define _disable_ld_no_undefined 1

%define build_h323	0
%{?_without_h323:	%global build_h323 0}
%{?_with_h323:		%global build_h323 1}

# not compatible >=kernel-2.6.25 Using instead asterisk-chan_lcr
%define build_misdn	0
%{?_without_misdn:	%global build_misdn 0}
%{?_with_misdn:		%global build_misdn 1}

%define build_odbc	0
%{?_without_odbc:	%global build_odbc 0}
%{?_with_odbc:		%global build_odbc 1}

%define build_oss	1
%{?_without_oss:	%global build_oss 0}
%{?_with_oss:		%global build_oss 1}

%define build_radius	1
%{?_without_radius:	%global build_radius 0}
%{?_with_radius:	%global build_radius 1}

%define build_tds	1
%{?_without_tds:	%global build_tds 0}
%{?_with_tds:		%global build_tds 1}

# this takes quite some time and adds roughly 200mb of html...
%define build_docs	0
%{?_without_docs:	%global build_docs 0}
%{?_with_docs:		%global build_docs 1}

#define beta 4

Summary:	The Open Source PBX
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPLv2
Group:		System/Servers
URL:		http://www.asterisk.org/
Source0:	http://downloads.asterisk.org/pub/telephony/asterisk/%{name}-%{version}%{?beta:-rc%{beta}}.tar.gz
Source1:	asterisk-logrotate
Source2:	menuselect.makedeps
Source3:	menuselect.makeopts
Source4:	g72x_install
Patch1:		0001-Modify-init-scripts-for-better-Fedora-compatibility.patch
Patch2:		0002-Modify-modules.conf-so-that-different-voicemail-modu.patch
Patch4:		0004-Use-pkgconfig-to-check-for-Lua.patch
Patch5:		0005-Revert-changes-to-pbx_lua-from-rev-126363-that-cause.patch
Patch6:		0006-Build-using-external-libedit.diff
Patch7:		0007-Use-pkgconfig-to-check-for-Gmime-2.2.patch
#Patch8:		0008-libusb-check.diff
Patch50:	asterisk-1.6.1-rc1-utils_pthread_fix.diff
Patch51:	asterisk-1.6.1-beta3-net-snmp_fix.diff
Patch52:	asterisk-1.6.1-beta3-ffmpeg_fix.diff
Patch53:	asterisk-external_liblpc10_and_libilbc.diff
#Patch54:	asterisk-1.6.1-beta3-pwlib_and_openh323_fix.diff
#Patch55:	AST_PBX_KEEPALIVE-1.6.1-fix.diff
Patch56:	strlcpy-strlcat-1.6.1-fix.diff
Patch57:	editline-include-missing-1.6.1-fix.diff
# Temporary patch
Patch100:	asterisk-1.6.2.6-cdr_sqlite3_custom.patch
Requires(pre): rpm-helper
Requires(postun): rpm-helper
Requires(post): rpm-helper
Requires(preun): rpm-helper
Requires:	mpg123
Requires:	asterisk-core-sounds, asterisk-moh
BuildRequires:	%{_lib}alsa2-devel
BuildRequires:	autoconf >= 1:2.60
BuildRequires:	automake1.9 >= 1.9.6
BuildRequires:	bison
BuildRequires:	bluez-devel
BuildRequires:	curl-devel
BuildRequires:	dahdi-devel >= 2.0.0
BuildRequires:	ffmpeg-devel
BuildRequires:	flex
BuildRequires:	freetds-devel >= 0.64
BuildRequires:	libgmime2.2-devel
BuildRequires:	gmime2.2-utils
BuildRequires:	gsm-devel
#BuildRequires:	gtk-devel
#BuildRequires:	gtk2-devel
BuildRequires:	jackit-devel
BuildRequires:	krb5-devel
BuildRequires:	libcap-devel
BuildRequires:	libedit-devel
BuildRequires:	libgcrypt-devel
BuildRequires:	libgnutls-devel
BuildRequires:	libgpg-error-devel
BuildRequires:	libgsm-devel
BuildRequires:	%mklibname hoard
BuildRequires:	libidn-devel
BuildRequires:	libiksemel-devel
BuildRequires:	libilbc-devel
BuildRequires:	libnbs-devel
BuildRequires:	libogg-devel
#BuildRequires:	libosp-devel >= 3.5.0
BuildRequires:	libpopt-devel
BuildRequires:	libpri-devel >= 1.4.8
BuildRequires:	libss7-devel >= 1.0.2
BuildRequires:	libtool
BuildRequires:	libtool-devel
BuildRequires:	libvorbis-devel
BuildRequires:	%{_lib}xml2-devel
BuildRequires:	libzap-devel >= 1.0.1
BuildRequires:	lm_sensors-devel
BuildRequires:	lpc10-devel
BuildRequires:	%{_lib}lua-devel
%if %{build_misdn}
BuildRequires:	isdn4k-utils-devel
BuildRequires:	isdn4net
BuildRequires:	misdn2-devel
%endif
BuildRequires:	ncurses-devel
BuildRequires:	net-snmp-devel
BuildRequires:	newt-devel
BuildRequires:	oggvorbis-devel
BuildRequires:	openais-devel
BuildRequires:	openldap-devel
BuildRequires:	openssl-devel
BuildRequires:	osptk-devel >= 3.5.0
BuildRequires:	pam-devel
BuildRequires:	perl-devel
BuildRequires:	portaudio-devel >= 19
BuildRequires:	postgresql-devel
BuildRequires:	radiusclient-ng-devel
BuildRequires:	resample-devel
BuildRequires:	SDL_image-devel
BuildRequires:	spandsp-devel
BuildRequires:	speex-devel
BuildRequires:	sqlite3-devel
BuildRequires:	tcp_wrappers-devel
BuildRequires:	termcap-devel
BuildRequires:	tiff-devel
%if %{build_odbc}
BuildRequires:	unixODBC-devel
%endif
#BuildRequires:	usb1.0-devel
BuildRequires:	%{_lib}usb-compat0.1-devel
BuildRequires:	wget
BuildRequires:	zlib-devel
%if %mdkversion < 200900
BuildRequires:	imap-devel
%else
BuildRequires:	c-client-devel
%endif
%if %{build_h323}
BuildRequires:	ooh323c-devel
BuildRequires:	openh323-devel >= 1.15.3
BuildRequires:	pwlib-devel
%endif
%if %{build_docs}
BuildRequires:	doxygen
BuildRequires:	graphviz
%endif
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
Asterisk is a complete PBX in software. It runs on Linux and provides
all of the features you would expect from a PBX and more. Asterisk
does voice over IP in three protocols, and can interoperate with
almost all standards-based telephony equipment using relatively
inexpensive hardware.

%package	firmware
Summary:	Firmware for the Digium S101I (IAXy)
Group:		System/Servers
License:	Redistributable, no modification permitted
Requires:	asterisk = %{version}-%{release}

%description	firmware
Firmware for the Digium S101I (IAXy).

%package	devel
Summary:	Header files for building Asterisk modules
Group:		Development/C

%description	devel
This package contains the development header files that are needed
to compile 3rd party modules.

%package	plugins-ais
Summary:	Modules for Asterisk that use OpenAIS
Group:		System/Servers
Requires:	asterisk = %{version}-%{release}

%description	plugins-ais
Modules for Asterisk that use OpenAIS.

%package	plugins-alsa
Summary:	Modules for Asterisk that use Alsa sound drivers
Group:		System/Servers
Requires:	asterisk = %{version}-%{release}

%description	plugins-alsa
Modules for Asterisk that use Alsa sound drivers.

%package	plugins-curl
Summary:	Modules for Asterisk that use cURL
Group:		System/Servers
Requires:	asterisk = %{version}-%{release}

%description	plugins-curl
Modules for Asterisk that use cURL.

%package	plugins-dahdi
Summary:	Modules for Asterisk that use DAHDI
Group:		System/Servers
Requires:	asterisk = %{version}-%{release}
Requires:	dahdi-tools >= 2.0.0

%description	plugins-dahdi
Modules for Asterisk that use DAHDI.

%package	plugins-fax
Summary:	FAX plugins for Asterisk
Group:		System/Servers
Requires:	asterisk = %{version}-%{release}

%description	plugins-fax
This package contains FAX plugins for Asterisk.

%package	plugins-festival
Summary:	Festival application for Asterisk
Group:		System/Servers
Requires:	asterisk = %{version}-%{release}
Requires:	festival

%description	plugins-festival
Application for the Asterisk PBX that uses Festival to convert text to speech.

%package	plugins-ices
Summary:	Stream audio from Asterisk to an IceCast server
Group:		System/Servers
Requires:	asterisk = %{version}-%{release}
Requires:	ices

%description	plugins-ices
Stream audio from Asterisk to an IceCast server.

%package	plugins-jabber
Summary:	Jabber support for Asterisk
Group:		System/Servers
Requires:	asterisk = %{version}-%{release}

%description	plugins-jabber
This package contains Jabber support for Asterisk.

%package	plugins-jack
Summary:	JACK resources for Asterisk
Group:		System/Servers
Requires:	asterisk = %{version}-%{release}

%description	plugins-jack
JACK resources for Asterisk.

%package	plugins-lua
Summary:	Lua resources for Asterisk
Group:		System/Servers
Requires:	asterisk = %{version}-%{release}

%description	plugins-lua
Lua resources for Asterisk.

%package	plugins-ldap
Summary:	LDAP resources for Asterisk
Group:		System/Servers
Requires:	asterisk = %{version}-%{release}

%description	plugins-ldap
LDAP resources for Asterisk.

%if %{build_misdn}
%package	plugins-misdn
Summary:	This module adds mISDN support to the Asterisk PBX
Group:		System/Servers
Requires:	asterisk = %{version}-%{release}

%description	plugins-misdn
This module adds mISDN support to the Asterisk PBX. mISDN is the
(experimental) new ISDN4Linux stack, which adds support for
driving cards in NT mode and thus connecting an ISDN phone to your
computer.
%endif

%package	plugins-minivm
Summary:	MiniVM applicaton for Asterisk
Group:		System/Servers
Requires:	asterisk = %{version}-%{release}

%description	plugins-minivm
MiniVM application for Asterisk.

%if %{build_odbc}
%package	plugins-odbc
Summary:	Applications for Asterisk that use ODBC (except voicemail)
Group:		System/Servers
Requires:	asterisk = %{version}-%{release}

%description	plugins-odbc
Applications for Asterisk that use ODBC (except voicemail)
%endif

%if %{build_oss}
%package	plugins-oss
Summary:	Modules for Asterisk that use OSS sound drivers
Group:		System/Servers
Requires:	asterisk = %{version}-%{release}

%description	plugins-oss
Modules for Asterisk that use OSS sound drivers.

%package	plugins-usbradio
Summary:	USB radio channel for Asterisk
Group:		System/Servers
Requires:	asterisk = %{version}-%{release}

%description	plugins-usbradio
USB radio channel for Asterisk.
%endif

%package	plugins-portaudio
Summary:	Modules for Asterisk that use the portaudio library
Group:		System/Servers
Requires:	asterisk = %{version}-%{release}

%description	plugins-portaudio
Modules for Asterisk that use the portaudio library.

%package	plugins-pgsql
Summary:	PostgreSQL plugins for Asterisk
Group:		System/Servers
Requires:	asterisk = %{version}-%{release}

%description	plugins-pgsql
This package contains PostgreSQL plugins for Asterisk.

%if %{build_radius}
%package	plugins-radius
Summary:	Radiusclient plugins for Asterisk
Group:		System/Servers
Requires:	asterisk = %{version}-%{release}

%description	plugins-radius
This package contains Radiusclient plugins for Asterisk.
%endif

%package	plugins-skinny
Summary:	Modules for Asterisk that support the SCCP/Skinny protocol
Group:		System/Servers
Requires:	asterisk = %{version}-%{release}

%description	plugins-skinny
Modules for Asterisk that support the SCCP/Skinny protocol.

%package	plugins-snmp
Summary:	Brief SNMP Agent / SubAgent support for Asterisk
Group:		System/Servers
Requires:	asterisk = %{version}-%{release}
Requires:	net-snmp

%description	plugins-snmp
This package contains brief SNMP Agent / SubAgent support for Asterisk.

%package	plugins-speex
Summary:	SPEEX plugins for Asterisk
Group:		System/Servers
Requires:	asterisk = %{version}-%{release}

%description	plugins-speex
This package contains SPEEX plugins for Asterisk.

%package	plugins-sqlite
Summary:	SQLite plugins for Asterisk
Group:		System/Servers
Requires:	asterisk = %{version}-%{release}

%description	plugins-sqlite
This package contains SQLite plugins for Asterisk.

%if %{build_tds}
%package	plugins-tds
Summary:	FreeTDS plugins for Asterisk
Group:		System/Servers
Requires:	asterisk = %{version}-%{release}

%description	plugins-tds
This package contains FreeTDS plugins for Asterisk.
%endif

%package	plugins-osp
Summary:	Open Settlement Protocol for Asterisk
Group:		System/Servers

%description	plugins-osp
This package contains OSP (Open Settlement Protocol) support for Asterisk.

%package	plugins-unistim
Summary:	Unistim channel for Asterisk
Group:		System/Servers
Requires:	asterisk = %{version}-%{release}

%description	plugins-unistim
Unistim channel for Asterisk.

%package	plugins-voicemail
Summary:	Common Voicemail Modules for Asterisk
Group:		System/Servers
Requires:	asterisk = %{version}-%{release}
Requires:	asterisk-plugins-voicemail-implementation = %{version}-%{release}
Requires:	sox
Requires:	sendmail-command

%description	plugins-voicemail
Common Voicemail Modules for Asterisk.

%package	plugins-voicemail-imap
Summary:	Store voicemail on an IMAP server
Group:		System/Servers
Requires:	asterisk = %{version}-%{release}
Requires:	asterisk-plugins-voicemail = %{version}-%{release}
Provides:	asterisk-plugins-voicemail-implementation = %{version}-%{release}

%description	plugins-voicemail-imap
Voicemail implementation for Asterisk that stores voicemail on an IMAP
server.

%if %{build_odbc}
%package	plugins-voicemail-odbc
Summary:	Store voicemail in a database using ODBC
Group:		System/Servers
Requires:	asterisk = %{version}-%{release}
Requires:	asterisk-plugins-voicemail = %{version}-%{release}
Provides:	asterisk-plugins-voicemail-implementation = %{version}-%{release}

%description	plugins-voicemail-odbc
Voicemail implementation for Asterisk that uses ODBC to store
voicemail in a database.
%endif

%package	plugins-voicemail-plain
Summary:	Store voicemail on the local filesystem
Group:		System/Servers
Requires:	asterisk = %{version}-%{release}
Requires:	asterisk-plugins-voicemail = %{version}-%{release}
Provides:	asterisk-plugins-voicemail-implementation = %{version}-%{release}

%description	plugins-voicemail-plain
Voicemail implementation for Asterisk that stores voicemail on the
local filesystem.

%prep

%setup0 -q -n asterisk-%{version}%{?beta:-rc%{beta}}

find . -type d -perm 0700 -exec chmod 755 {} \;
find . -type d -perm 0555 -exec chmod 755 {} \;
find . -type f -perm 0555 -exec chmod 755 {} \;
find . -type f -perm 0444 -exec chmod 644 {} \;
		
for i in `find . -type d -name CVS` `find . -type f -name .cvs\*` `find . -type f -name .#\*`; do
	if [ -e "$i" ]; then rm -rf $i; fi >&/dev/null
done

%patch1 -p1 -b .init
%patch2 -p1 -b .voicemail
#%patch4 -p1 -b .lua
##%patch5 -p1 -b .pbx_lua
###%patch6 -p1 -b .libedit
#%patch7 -p1 -b .gmime-2_2
##%patch8 -p1 -b .libusb
##
%patch50 -p1 -b .pthread
%patch51 -p0 -b .net_snmp
%patch52 -p1 -b .ffmpeg
%patch53 -p0 -b .libplc10
##%patch54 -p0 -b .pwlib
#%patch56 -p0 -b .strlcpy
%patch57 -p0 -b .editline
%patch100 -p2

cp %{SOURCE2} menuselect.makedeps
cp %{SOURCE3} menuselect.makeopts
cp %{SOURCE4} g72x_install

# Fixup makefile so sound archives aren't downloaded/installed
%{__perl} -pi -e 's/^all:.*$/all:/' sounds/Makefile
%{__perl} -pi -e 's/^install:.*$/install:/' sounds/Makefile

# convert comments in one file to UTF-8
mv main/fskmodem.c main/fskmodem.c.old
iconv -f iso-8859-1 -t utf-8 -o main/fskmodem.c main/fskmodem.c.old
touch -r main/fskmodem.c.old main/fskmodem.c
rm main/fskmodem.c.old

chmod -x contrib/scripts/dbsep.cgi

# lib64 fix
find -name "Makefile" | xargs perl -pi -e "s|/usr/lib|%{_libdir}|g"
perl -pi -e "s|/lib\b|/%{_lib}|g" configure* autoconf/*.m4
perl -pi -e "s|/lib/|/%{_lib}/|g" configure*  autoconf/*.m4

%build

# if we are building for i386 promote the CPU arch to i486 for atomic operations support
%ifarch i386
%define optflags %{__global_cflags} -m32 -march=i486 -mtune=generic -fasynchronous-unwind-tables -Werror-implicit-function-declaration
%else
%define optflags %(rpm --eval %%{optflags}) -Werror-implicit-function-declaration
%endif

#rm -f autoconf/ast_prog_sed.m4
./bootstrap.sh

pushd menuselect/mxml
%configure2_5x
popd

pushd menuselect
%configure2_5x
popd 

pushd main/editline
%configure2_5x
popd

export CFLAGS="%{optflags} `gmime-config --cflags`"

%configure \
	--localstatedir=/var \
	--with-asound=%{_prefix} \
	--with-execinfo=%{_prefix} \
	--with-cap=%{_prefix} \
	--with-curl=%{_prefix} \
	--with-curses=%{_prefix} \
	--with-crypto=%{_prefix} \
	--with-dahdi=%{_prefix} \
	--with-avcodec=%{_prefix} \
	--with-gsm=%{_prefix} \
	--without-gtk \
	--without-gtk2 \
	--with-gmime=%{_prefix} \
	--with-hoard=%{_prefix} \
	--with-iconv=%{_prefix} \
	--with-iksemel=%{_prefix} \
	--with-imap=system \
	--with-inotify=%{_prefix} \
%if %{build_odbc}
	--with-iodbc=%{_prefix} \
%else
	--without-iodbc \
%endif
	--with-jack=%{_prefix} \
	--with-ldap=%{_prefix} \
	--with-ltdl=%{_prefix} \
	--with-lua=%{_prefix} \
%if %{build_misdn}
	--with-isdnnet=%{_prefix} \
	--with-misdn=%{_prefix} \
	--with-suppserv=%{_prefix} \
%else
	--without-isdnnet \
	--without-misdn \
	--without-suppserv \
%endif
	--with-nbs=%{_prefix} \
	--with-ncurses=%{_prefix} \
	--with-netsnmp=%{_prefix} \
	--with-newt=%{_prefix} \
	--with-ogg=%{_prefix} \
	--with-osptk=%{_prefix} \
%if %{build_oss}
	--with-oss \
%else
	--without-oss \
%endif
	--with-postgres=%{_prefix} \
	--with-popt=%{_prefix} \
	--with-portaudio=%{_prefix} \
	--with-pri=%{_prefix} \
	--with-resample=%{_prefix} \
	--with-spandsp=%{_prefix} \
	--with-ss7=%{_prefix} \
%if %{build_h323}
	--with-pwlib=%{_prefix} \
	--with-h323=%{_prefix} \
%else
	--without-pwlib \
	--without-h323 \
%endif
	--with-radius=%{_prefix} \
	--with-sdl=%{_prefix} \
	--with-SDL_image=%{_prefix} \
	--with-openais=%{_prefix} \
	--with-speex=%{_prefix} \
	--with-speexdsp=%{_prefix} \
	--without-sqlite \
	--with-sqlite3=%{_prefix} \
	--with-ssl=%{_prefix} \
	--with-tds=%{_prefix} \
	--with-termcap=%{_prefix} \
	--without-tinfo \
	--with-tonezone=%{_prefix} \
%if %{build_odbc}
	--with-unixodbc=%{_prefix} \
%else
	--without-unixodbc \
%endif
	--with-usb=%{_prefix} \
	--with-vorbis=%{_prefix} \
	--without-vpb \
	--with-x11=%{_prefix} \
	--with-z=%{_prefix} \
	--with-timerfd=%{_prefix}
#urpmf --files openr2.h
#	--with-openr2=%{_prefix} \

# fix some weirdos
GMIME_INCLUDE=`gmime-config --cflags`
perl -pi -e "s|^AIS_INCLUDE=.*|AIS_INCLUDE=-I/usr/include/openais|g" makeopts
perl -pi -e "s|^GMIME_INCLUDE=.*|GMIME_INCLUDE=$GMIME_INCLUDE|g" makeopts

%{__sed} -i -e 's/^MENUSELECT_OPTS_app_voicemail=.*$/MENUSELECT_OPTS_app_voicemail=FILE_STORAGE/' menuselect.makeopts
ASTCFLAGS="%{optflags}" make DEBUG= OPTIMIZE= ASTVARRUNDIR=/var/run/asterisk NOISY_BUILD=1

rm apps/app_voicemail.o apps/app_directory.o
mv apps/app_voicemail.so apps/app_voicemail_plain.so
mv apps/app_directory.so apps/app_directory_plain.so

%{__sed} -i -e 's/^MENUSELECT_OPTS_app_voicemail=.*$/MENUSELECT_OPTS_app_voicemail=IMAP_STORAGE/' menuselect.makeopts
ASTCFLAGS="%{optflags}" make DEBUG= OPTIMIZE= ASTVARRUNDIR=/var/run/asterisk NOISY_BUILD=1

rm apps/app_voicemail.o apps/app_directory.o
mv apps/app_voicemail.so apps/app_voicemail_imap.so
mv apps/app_directory.so apps/app_directory_imap.so

%if %{build_odbc}
%{__sed} -i -e 's/^MENUSELECT_OPTS_app_voicemail=.*$/MENUSELECT_OPTS_app_voicemail=ODBC_STORAGE/' menuselect.makeopts
ASTCFLAGS="%{optflags}" make DEBUG= OPTIMIZE= ASTVARRUNDIR=/var/run/asterisk NOISY_BUILD=1

rm apps/app_voicemail.o apps/app_directory.o
mv apps/app_voicemail.so apps/app_voicemail_odbc.so
mv apps/app_directory.so apps/app_directory_odbc.so
%endif

# so that these modules don't get built again during the install phase
touch apps/app_voicemail.o apps/app_directory.o
touch apps/app_voicemail.so apps/app_directory.so

%if %{build_docs}
ASTCFLAGS="%{optflags}" make progdocs DEBUG= OPTIMIZE= ASTVARRUNDIR=/var/run/asterisk NOISY_BUILD=1

# fix dates so that we don't get multilib conflicts
find doc/api/html -type f -print0 | xargs --null touch -r ChangeLog
%endif

%install
rm -rf %{buildroot}

ASTCFLAGS="%{optflags}" make install DEBUG= OPTIMIZE= DESTDIR=%{buildroot} ASTVARRUNDIR=/var/run/asterisk
ASTCFLAGS="%{optflags}" make samples DEBUG= OPTIMIZE= DESTDIR=%{buildroot} ASTVARRUNDIR=/var/run/asterisk

install -D -p -m 0755 contrib/init.d/rc.redhat.asterisk %{buildroot}%{_initrddir}/asterisk
install -D -p -m 0644 contrib/sysconfig/asterisk %{buildroot}%{_sysconfdir}/sysconfig/asterisk
install -D -p -m 0644 %{S:1} %{buildroot}%{_sysconfdir}/logrotate.d/asterisk
install -D -p -m 0644 doc/asterisk-mib.txt %{buildroot}/var/lib/snmp/mibs/ASTERISK-MIB.txt
install -D -p -m 0644 doc/digium-mib.txt %{buildroot}/var/lib/snmp/mibs/DIGIUM-MIB.txt

rm %{buildroot}%{_libdir}/asterisk/modules/app_directory.so
rm %{buildroot}%{_libdir}/asterisk/modules/app_voicemail.so
install -D -p -m 0755 apps/app_directory_imap.so %{buildroot}%{_libdir}/asterisk/modules/
install -D -p -m 0755 apps/app_voicemail_imap.so %{buildroot}%{_libdir}/asterisk/modules/
%if %{build_odbc}
install -D -p -m 0755 apps/app_directory_odbc.so %{buildroot}%{_libdir}/asterisk/modules/
install -D -p -m 0755 apps/app_voicemail_odbc.so %{buildroot}%{_libdir}/asterisk/modules/
%endif
install -D -p -m 0755 apps/app_directory_plain.so %{buildroot}%{_libdir}/asterisk/modules/
install -D -p -m 0755 apps/app_voicemail_plain.so %{buildroot}%{_libdir}/asterisk/modules/

# create some directories that need to be packaged
mkdir -p %{buildroot}/var/lib/asterisk/moh
mkdir -p %{buildroot}/var/lib/asterisk/sounds
mkdir -p %{buildroot}/var/lib/asterisk
mkdir -p %{buildroot}/var/log/asterisk/cdr-custom
mkdir -p %{buildroot}/var/spool/asterisk/monitor
mkdir -p %{buildroot}/var/spool/asterisk/outgoing

# We're not going to package any of the sample AGI scripts
rm -f %{buildroot}/var/lib/asterisk/agi-bin/*

# Don't package the sample voicemail user
rm -rf %{buildroot}/var/spool/asterisk/voicemail/default

# Don't package example phone provision configs
rm -rf %{buildroot}/var/lib/asterisk/phoneprov/*

# these are compiled with -O0 and thus include unfortified code.
rm -rf %{buildroot}%{_sbindir}/hashtest
rm -rf %{buildroot}%{_sbindir}/hashtest2

touch %{name}-devel.filelist
%if %{build_docs}
	find doc/api/html -name \*.map -size 0 -delete
	find doc/api/html -type f | sed 's/^/%doc /' | grep -v '\./%{name}-devel.filelist' > %{name}-devel.filelist
%endif

# fix ghost files
touch %{buildroot}/var/lib/asterisk/astdb
touch %{buildroot}/var/log/asterisk/console
touch %{buildroot}/var/log/asterisk/debug
touch %{buildroot}/var/log/asterisk/messages
touch %{buildroot}/var/log/asterisk/queue_log
touch %{buildroot}/var/log/asterisk/event_log
touch %{buildroot}/var/log/asterisk/cdr-csv/Master.csv
touch %{buildroot}/var/log/asterisk/h323_log

# remove unused files
%if !%{build_odbc}
  rm -f %{buildroot}/%{_sysconfdir}/asterisk/cdr_adaptive_odbc.conf
  rm -f %{buildroot}/%{_sysconfdir}/asterisk/cdr_odbc.conf
  rm -f %{buildroot}/%{_sysconfdir}/asterisk/func_odbc.conf
  rm -f %{buildroot}/%{_sysconfdir}/asterisk/res_odbc.conf
%endif
%if !%{build_misdn}
  rm -f %{buildroot}/%{_sysconfdir}/asterisk/misdn.conf
%endif
%if !%{build_oss}
  rm -f %{buildroot}/%{_sysconfdir}/asterisk/oss.conf
%endif

%pre
%_pre_useradd asterisk /var/lib/asterisk /bin/sh
gpasswd -a asterisk dialout 1>/dev/null

%post
%create_ghostfile /var/lib/asterisk/astdb asterisk asterisk 640
%create_ghostfile /var/log/asterisk/console asterisk asterisk 640
%create_ghostfile /var/log/asterisk/debug asterisk asterisk 640
%create_ghostfile /var/log/asterisk/messages asterisk asterisk 640
%create_ghostfile /var/log/asterisk/queue_log asterisk asterisk 640
%create_ghostfile /var/log/asterisk/event_log asterisk asterisk 640
%create_ghostfile /var/log/asterisk/cdr-csv/Master.csv asterisk asterisk 640
%create_ghostfile /var/log/asterisk/h323_log asterisk asterisk 640
echo "Adding setuid root to /usr/bin/mpg123, needed for MOH"
chmod u+s %{_bindir}/mpg123
[[ -e %{_libdir}/asterisk/modules/codec_g729.so ]] && sh %{_docdir}/g72x_install
%_post_service asterisk

%preun
if [ "$1" = 0 ]; then
	echo "Removing setuid root from /usr/bin/mpg123"
	chmod u-s %{_bindir}/mpg123
fi
# Remove the G72x stuff
rm -rf /usr/share/doc/asterisk/README.g72x.txt
rm -rf /usr/$LIBNAME/asterisk/modules/codec_g723.so
rm -rf /usr/$LIBNAME/asterisk/modules/codec_g729.so
rm -rf /usr/bin/g729_my_enc
rm -rf /usr/bin/g729_my_dec
rm -rf /usr/bin/astconv

%_preun_service asterisk

%postun
%_postun_userdel asterisk
gpasswd -d asterisk dialout 1>/dev/null

%pre plugins-dahdi
%{_sbindir}/usermod -a -G dahdi asterisk

%if %{build_misdn}
%pre plugins-misdn
%{_sbindir}/usermod -a -G misdn asterisk
%endif

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc README* *.txt ChangeLog BUGS CREDITS configs
%doc doc/asterisk.sgml doc/backtrace.txt doc/callfiles.txt
%doc doc/externalivr.txt doc/macroexclusive.txt doc/manager_1_1.txt
%doc doc/modules.txt doc/PEERING doc/queue.txt doc/rtp-packetization.txt
%doc doc/siptls.txt doc/smdi.txt doc/sms.txt doc/speechrec.txt
%doc doc/ss7.txt doc/video.txt
%doc g72x_install
%{_initrddir}/asterisk
%attr(0750,asterisk,asterisk) %dir %{_sysconfdir}/asterisk
%attr(0640,asterisk,asterisk) %config(noreplace) %{_sysconfdir}/asterisk/adsi.conf
%attr(0640,asterisk,asterisk) %config(noreplace) %{_sysconfdir}/asterisk/adtranvofr.conf
%attr(0640,asterisk,asterisk) %config(noreplace) %{_sysconfdir}/asterisk/agents.conf
%attr(0640,asterisk,asterisk) %config(noreplace) %{_sysconfdir}/asterisk/alarmreceiver.conf
%attr(0640,asterisk,asterisk) %config(noreplace) %{_sysconfdir}/asterisk/amd.conf
%attr(0640,asterisk,asterisk) %config(noreplace) %{_sysconfdir}/asterisk/asterisk.adsi
%attr(0640,asterisk,asterisk) %config(noreplace) %{_sysconfdir}/asterisk/asterisk.conf
%attr(0640,asterisk,asterisk) %config(noreplace) %{_sysconfdir}/asterisk/cdr.conf
%attr(0640,asterisk,asterisk) %config(noreplace) %{_sysconfdir}/asterisk/cdr_custom.conf
%attr(0640,asterisk,asterisk) %config(noreplace) %{_sysconfdir}/asterisk/cdr_manager.conf
%attr(0640,asterisk,asterisk) %config(noreplace) %{_sysconfdir}/asterisk/cli.conf
%attr(0640,asterisk,asterisk) %config(noreplace) %{_sysconfdir}/asterisk/cli_aliases.conf
%attr(0640,asterisk,asterisk) %config(noreplace) %{_sysconfdir}/asterisk/cli_permissions.conf
%attr(0640,asterisk,asterisk) %config(noreplace) %{_sysconfdir}/asterisk/codecs.conf
%attr(0640,asterisk,asterisk) %config(noreplace) %{_sysconfdir}/asterisk/dnsmgr.conf
%attr(0640,asterisk,asterisk) %config(noreplace) %{_sysconfdir}/asterisk/dsp.conf
%attr(0640,asterisk,asterisk) %config(noreplace) %{_sysconfdir}/asterisk/dundi.conf
%attr(0640,asterisk,asterisk) %config(noreplace) %{_sysconfdir}/asterisk/enum.conf
%attr(0640,asterisk,asterisk) %config(noreplace) %{_sysconfdir}/asterisk/extconfig.conf
%attr(0640,asterisk,asterisk) %config(noreplace) %{_sysconfdir}/asterisk/extensions.ael
%attr(0640,asterisk,asterisk) %config(noreplace) %{_sysconfdir}/asterisk/extensions.conf
%attr(0640,asterisk,asterisk) %config(noreplace) %{_sysconfdir}/asterisk/features.conf
%attr(0640,asterisk,asterisk) %config(noreplace) %{_sysconfdir}/asterisk/followme.conf
%attr(0640,asterisk,asterisk) %config(noreplace) %{_sysconfdir}/asterisk/h323.conf
%attr(0640,asterisk,asterisk) %config(noreplace) %{_sysconfdir}/asterisk/http.conf
%attr(0640,asterisk,asterisk) %config(noreplace) %{_sysconfdir}/asterisk/iax.conf
%attr(0640,asterisk,asterisk) %config(noreplace) %{_sysconfdir}/asterisk/iaxprov.conf
%attr(0640,asterisk,asterisk) %config(noreplace) %{_sysconfdir}/asterisk/indications.conf
%attr(0640,asterisk,asterisk) %config(noreplace) %{_sysconfdir}/asterisk/logger.conf
%attr(0640,asterisk,asterisk) %config(noreplace) %{_sysconfdir}/asterisk/manager.conf
%attr(0640,asterisk,asterisk) %config(noreplace) %{_sysconfdir}/asterisk/mgcp.conf
%attr(0640,asterisk,asterisk) %config(noreplace) %{_sysconfdir}/asterisk/modules.conf
%attr(0640,asterisk,asterisk) %config(noreplace) %{_sysconfdir}/asterisk/musiconhold.conf
%attr(0640,asterisk,asterisk) %config(noreplace) %{_sysconfdir}/asterisk/muted.conf
%attr(0640,asterisk,asterisk) %config(noreplace) %{_sysconfdir}/asterisk/osp.conf
%attr(0640,asterisk,asterisk) %config(noreplace) %{_sysconfdir}/asterisk/phone.conf
%attr(0640,asterisk,asterisk) %config(noreplace) %{_sysconfdir}/asterisk/phoneprov.conf
%attr(0640,asterisk,asterisk) %config(noreplace) %{_sysconfdir}/asterisk/queuerules.conf
%attr(0640,asterisk,asterisk) %config(noreplace) %{_sysconfdir}/asterisk/queues.conf
%attr(0640,asterisk,asterisk) %config(noreplace) %{_sysconfdir}/asterisk/rpt.conf
%attr(0640,asterisk,asterisk) %config(noreplace) %{_sysconfdir}/asterisk/rtp.conf
%attr(0640,asterisk,asterisk) %config(noreplace) %{_sysconfdir}/asterisk/say.conf
%attr(0640,asterisk,asterisk) %config(noreplace) %{_sysconfdir}/asterisk/sip.conf
%attr(0640,asterisk,asterisk) %config(noreplace) %{_sysconfdir}/asterisk/sip_notify.conf
%attr(0640,asterisk,asterisk) %config(noreplace) %{_sysconfdir}/asterisk/sla.conf
%attr(0640,asterisk,asterisk) %config(noreplace) %{_sysconfdir}/asterisk/smdi.conf
%attr(0640,asterisk,asterisk) %config(noreplace) %{_sysconfdir}/asterisk/telcordia-1.adsi
%attr(0640,asterisk,asterisk) %config(noreplace) %{_sysconfdir}/asterisk/udptl.conf
%attr(0640,asterisk,asterisk) %config(noreplace) %{_sysconfdir}/asterisk/users.conf
%attr(0640,asterisk,asterisk) %config(noreplace) %{_sysconfdir}/asterisk/vpb.conf
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/logrotate.d/asterisk
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/sysconfig/asterisk
%dir %{_libdir}/asterisk
%dir %{_libdir}/asterisk/modules
%attr(0755,root,root) %{_libdir}/asterisk/modules/app_adsiprog.so
%attr(0755,root,root) %{_libdir}/asterisk/modules/app_alarmreceiver.so
%attr(0755,root,root) %{_libdir}/asterisk/modules/app_amd.so
%attr(0755,root,root) %{_libdir}/asterisk/modules/app_authenticate.so
%attr(0755,root,root) %{_libdir}/asterisk/modules/app_cdr.so
%attr(0755,root,root) %{_libdir}/asterisk/modules/app_chanisavail.so
%attr(0755,root,root) %{_libdir}/asterisk/modules/app_channelredirect.so
%attr(0755,root,root) %{_libdir}/asterisk/modules/app_chanspy.so
%attr(0755,root,root) %{_libdir}/asterisk/modules/app_confbridge.so
%attr(0755,root,root) %{_libdir}/asterisk/modules/app_controlplayback.so
%attr(0755,root,root) %{_libdir}/asterisk/modules/app_db.so
%attr(0755,root,root) %{_libdir}/asterisk/modules/app_dial.so
%attr(0755,root,root) %{_libdir}/asterisk/modules/app_dictate.so
%attr(0755,root,root) %{_libdir}/asterisk/modules/app_directed_pickup.so
%attr(0755,root,root) %{_libdir}/asterisk/modules/app_disa.so
%attr(0755,root,root) %{_libdir}/asterisk/modules/app_dumpchan.so
%attr(0755,root,root) %{_libdir}/asterisk/modules/app_echo.so
%attr(0755,root,root) %{_libdir}/asterisk/modules/app_exec.so
%attr(0755,root,root) %{_libdir}/asterisk/modules/app_externalivr.so
%attr(0755,root,root) %{_libdir}/asterisk/modules/app_followme.so
%attr(0755,root,root) %{_libdir}/asterisk/modules/app_forkcdr.so
%attr(0755,root,root) %{_libdir}/asterisk/modules/app_getcpeid.so
%attr(0755,root,root) %{_libdir}/asterisk/modules/app_image.so
%attr(0755,root,root) %{_libdir}/asterisk/modules/app_ivrdemo.so
%attr(0755,root,root) %{_libdir}/asterisk/modules/app_macro.so
%attr(0755,root,root) %{_libdir}/asterisk/modules/app_milliwatt.so
%attr(0755,root,root) %{_libdir}/asterisk/modules/app_mixmonitor.so
%attr(0755,root,root) %{_libdir}/asterisk/modules/app_morsecode.so
%attr(0755,root,root) %{_libdir}/asterisk/modules/app_mp3.so
%attr(0755,root,root) %{_libdir}/asterisk/modules/app_nbscat.so
%attr(0755,root,root) %{_libdir}/asterisk/modules/app_originate.so
%attr(0755,root,root) %{_libdir}/asterisk/modules/app_parkandannounce.so
%attr(0755,root,root) %{_libdir}/asterisk/modules/app_playback.so
%attr(0755,root,root) %{_libdir}/asterisk/modules/app_playtones.so
%attr(0755,root,root) %{_libdir}/asterisk/modules/app_privacy.so
%attr(0755,root,root) %{_libdir}/asterisk/modules/app_queue.so
%attr(0755,root,root) %{_libdir}/asterisk/modules/app_readexten.so
%attr(0755,root,root) %{_libdir}/asterisk/modules/app_readfile.so
%attr(0755,root,root) %{_libdir}/asterisk/modules/app_read.so
%attr(0755,root,root) %{_libdir}/asterisk/modules/app_record.so
%attr(0755,root,root) %{_libdir}/asterisk/modules/app_rpt.so
%attr(0755,root,root) %{_libdir}/asterisk/modules/app_sayunixtime.so
%attr(0755,root,root) %{_libdir}/asterisk/modules/app_senddtmf.so
%attr(0755,root,root) %{_libdir}/asterisk/modules/app_sendtext.so
%attr(0755,root,root) %{_libdir}/asterisk/modules/app_setcallerid.so
%attr(0755,root,root) %{_libdir}/asterisk/modules/app_skel.so
%attr(0755,root,root) %{_libdir}/asterisk/modules/app_sms.so
%attr(0755,root,root) %{_libdir}/asterisk/modules/app_softhangup.so
%attr(0755,root,root) %{_libdir}/asterisk/modules/app_speech_utils.so
%attr(0755,root,root) %{_libdir}/asterisk/modules/app_stack.so
%attr(0755,root,root) %{_libdir}/asterisk/modules/app_system.so
%attr(0755,root,root) %{_libdir}/asterisk/modules/app_talkdetect.so
%attr(0755,root,root) %{_libdir}/asterisk/modules/app_test.so
%attr(0755,root,root) %{_libdir}/asterisk/modules/app_transfer.so
%attr(0755,root,root) %{_libdir}/asterisk/modules/app_url.so
%attr(0755,root,root) %{_libdir}/asterisk/modules/app_userevent.so
%attr(0755,root,root) %{_libdir}/asterisk/modules/app_waitforring.so
%attr(0755,root,root) %{_libdir}/asterisk/modules/app_waitforsilence.so
%attr(0755,root,root) %{_libdir}/asterisk/modules/app_waituntil.so
%attr(0755,root,root) %{_libdir}/asterisk/modules/app_verbose.so
%attr(0755,root,root) %{_libdir}/asterisk/modules/app_while.so
%attr(0755,root,root) %{_libdir}/asterisk/modules/app_zapateller.so
%attr(0755,root,root) %{_libdir}/asterisk/modules/bridge_builtin_features.so
%attr(0755,root,root) %{_libdir}/asterisk/modules/bridge_multiplexed.so
%attr(0755,root,root) %{_libdir}/asterisk/modules/bridge_simple.so
%attr(0755,root,root) %{_libdir}/asterisk/modules/bridge_softmix.so
%attr(0755,root,root) %{_libdir}/asterisk/modules/cdr_csv.so
%attr(0755,root,root) %{_libdir}/asterisk/modules/cdr_custom.so
%attr(0755,root,root) %{_libdir}/asterisk/modules/cdr_manager.so
%attr(0755,root,root) %{_libdir}/asterisk/modules/chan_agent.so
%attr(0755,root,root) %{_libdir}/asterisk/modules/chan_bridge.so
%attr(0755,root,root) %{_libdir}/asterisk/modules/chan_iax2.so
%attr(0755,root,root) %{_libdir}/asterisk/modules/chan_local.so
%attr(0755,root,root) %{_libdir}/asterisk/modules/chan_mgcp.so
%attr(0755,root,root) %{_libdir}/asterisk/modules/chan_nbs.so
%attr(0755,root,root) %{_libdir}/asterisk/modules/chan_phone.so
%attr(0755,root,root) %{_libdir}/asterisk/modules/chan_sip.so
%attr(0755,root,root) %{_libdir}/asterisk/modules/codec_adpcm.so
%attr(0755,root,root) %{_libdir}/asterisk/modules/codec_alaw.so
%attr(0755,root,root) %{_libdir}/asterisk/modules/codec_a_mu.so
%attr(0755,root,root) %{_libdir}/asterisk/modules/codec_g722.so
%attr(0755,root,root) %{_libdir}/asterisk/modules/codec_g726.so
%attr(0755,root,root) %{_libdir}/asterisk/modules/codec_gsm.so
%attr(0755,root,root) %{_libdir}/asterisk/modules/codec_ilbc.so
%attr(0755,root,root) %{_libdir}/asterisk/modules/codec_lpc10.so
%attr(0755,root,root) %{_libdir}/asterisk/modules/codec_resample.so
%attr(0755,root,root) %{_libdir}/asterisk/modules/codec_ulaw.so
%attr(0755,root,root) %{_libdir}/asterisk/modules/format_g723.so
%attr(0755,root,root) %{_libdir}/asterisk/modules/format_g726.so
%attr(0755,root,root) %{_libdir}/asterisk/modules/format_g729.so
%attr(0755,root,root) %{_libdir}/asterisk/modules/format_gsm.so
%attr(0755,root,root) %{_libdir}/asterisk/modules/format_h263.so
%attr(0755,root,root) %{_libdir}/asterisk/modules/format_h264.so
%attr(0755,root,root) %{_libdir}/asterisk/modules/format_ilbc.so
%attr(0755,root,root) %{_libdir}/asterisk/modules/format_jpeg.so
%attr(0755,root,root) %{_libdir}/asterisk/modules/format_ogg_vorbis.so
%attr(0755,root,root) %{_libdir}/asterisk/modules/format_pcm.so
%attr(0755,root,root) %{_libdir}/asterisk/modules/format_siren14.so
%attr(0755,root,root) %{_libdir}/asterisk/modules/format_siren7.so
%attr(0755,root,root) %{_libdir}/asterisk/modules/format_sln16.so
%attr(0755,root,root) %{_libdir}/asterisk/modules/format_sln.so
%attr(0755,root,root) %{_libdir}/asterisk/modules/format_wav_gsm.so
%attr(0755,root,root) %{_libdir}/asterisk/modules/format_wav.so
%attr(0755,root,root) %{_libdir}/asterisk/modules/format_vox.so
%attr(0755,root,root) %{_libdir}/asterisk/modules/func_audiohookinherit.so
%attr(0755,root,root) %{_libdir}/asterisk/modules/func_aes.so
%attr(0755,root,root) %{_libdir}/asterisk/modules/func_base64.so
%attr(0755,root,root) %{_libdir}/asterisk/modules/func_blacklist.so
%attr(0755,root,root) %{_libdir}/asterisk/modules/func_callerid.so
%attr(0755,root,root) %{_libdir}/asterisk/modules/func_cdr.so
%attr(0755,root,root) %{_libdir}/asterisk/modules/func_channel.so
%attr(0755,root,root) %{_libdir}/asterisk/modules/func_config.so
%attr(0755,root,root) %{_libdir}/asterisk/modules/func_cut.so
%attr(0755,root,root) %{_libdir}/asterisk/modules/func_db.so
%attr(0755,root,root) %{_libdir}/asterisk/modules/func_devstate.so
%attr(0755,root,root) %{_libdir}/asterisk/modules/func_dialgroup.so
%attr(0755,root,root) %{_libdir}/asterisk/modules/func_dialplan.so
%attr(0755,root,root) %{_libdir}/asterisk/modules/func_enum.so
%attr(0755,root,root) %{_libdir}/asterisk/modules/func_env.so
%attr(0755,root,root) %{_libdir}/asterisk/modules/func_extstate.so
%attr(0755,root,root) %{_libdir}/asterisk/modules/func_global.so
%attr(0755,root,root) %{_libdir}/asterisk/modules/func_groupcount.so
%attr(0755,root,root) %{_libdir}/asterisk/modules/func_iconv.so
%attr(0755,root,root) %{_libdir}/asterisk/modules/func_lock.so
%attr(0755,root,root) %{_libdir}/asterisk/modules/func_logic.so
%attr(0755,root,root) %{_libdir}/asterisk/modules/func_math.so
%attr(0755,root,root) %{_libdir}/asterisk/modules/func_md5.so
%attr(0755,root,root) %{_libdir}/asterisk/modules/func_module.so
%attr(0755,root,root) %{_libdir}/asterisk/modules/func_rand.so
%attr(0755,root,root) %{_libdir}/asterisk/modules/func_realtime.so
%attr(0755,root,root) %{_libdir}/asterisk/modules/func_sha1.so
%attr(0755,root,root) %{_libdir}/asterisk/modules/func_shell.so
%attr(0755,root,root) %{_libdir}/asterisk/modules/func_sprintf.so
%attr(0755,root,root) %{_libdir}/asterisk/modules/func_strings.so
%attr(0755,root,root) %{_libdir}/asterisk/modules/func_sysinfo.so
%attr(0755,root,root) %{_libdir}/asterisk/modules/func_timeout.so
%attr(0755,root,root) %{_libdir}/asterisk/modules/func_uri.so
%attr(0755,root,root) %{_libdir}/asterisk/modules/func_version.so
%attr(0755,root,root) %{_libdir}/asterisk/modules/func_volume.so
%attr(0755,root,root) %{_libdir}/asterisk/modules/pbx_ael.so
%attr(0755,root,root) %{_libdir}/asterisk/modules/pbx_config.so
%attr(0755,root,root) %{_libdir}/asterisk/modules/pbx_dundi.so
#%attr(0755,root,root) %{_libdir}/asterisk/modules/pbx_gtkconsole.so
%attr(0755,root,root) %{_libdir}/asterisk/modules/pbx_loopback.so
%attr(0755,root,root) %{_libdir}/asterisk/modules/pbx_realtime.so
%attr(0755,root,root) %{_libdir}/asterisk/modules/pbx_spool.so
%attr(0755,root,root) %{_libdir}/asterisk/modules/res_adsi.so
%attr(0755,root,root) %{_libdir}/asterisk/modules/res_ael_share.so
%attr(0755,root,root) %{_libdir}/asterisk/modules/res_agi.so
%attr(0755,root,root) %{_libdir}/asterisk/modules/res_clialiases.so
%attr(0755,root,root) %{_libdir}/asterisk/modules/res_clioriginate.so
%attr(0755,root,root) %{_libdir}/asterisk/modules/res_convert.so
%attr(0755,root,root) %{_libdir}/asterisk/modules/res_crypto.so
%attr(0755,root,root) %{_libdir}/asterisk/modules/res_http_post.so
%attr(0755,root,root) %{_libdir}/asterisk/modules/res_limit.so
%attr(0755,root,root) %{_libdir}/asterisk/modules/res_monitor.so
%attr(0755,root,root) %{_libdir}/asterisk/modules/res_musiconhold.so
%attr(0755,root,root) %{_libdir}/asterisk/modules/res_phoneprov.so
%attr(0755,root,root) %{_libdir}/asterisk/modules/res_realtime.so
%attr(0755,root,root) %{_libdir}/asterisk/modules/res_smdi.so
%attr(0755,root,root) %{_libdir}/asterisk/modules/res_speech.so
%attr(0755,root,root) %{_libdir}/asterisk/modules/res_timing_pthread.so
%attr(0755,root,root) %{_libdir}/asterisk/modules/res_timing_timerfd.so
%attr(0755,root,root) %{_libdir}/asterisk/modules/test_dlinklists.so
%attr(0755,root,root) %{_libdir}/asterisk/modules/test_heap.so
%attr(0755,root,root) %{_libdir}/asterisk/modules/test_sched.so
%attr(0755,root,root) %{_libdir}/asterisk/modules/test_skel.so
%attr(0755,root,root) %{_sbindir}/aelparse
%attr(0755,root,root) %{_sbindir}/astcanary
%attr(0755,root,root) %{_sbindir}/asterisk
%attr(0755,root,root) %{_sbindir}/astgenkey
%attr(0755,root,root) %{_sbindir}/astman
%attr(0755,root,root) %{_sbindir}/autosupport
#%attr(0755,root,root) %{_sbindir}/check_expr
%attr(0755,root,root) %{_sbindir}/conf2ael
%attr(0755,root,root) %{_sbindir}/muted
%attr(0755,root,root) %{_sbindir}/rasterisk
%attr(0755,root,root) %{_sbindir}/refcounter
%attr(0755,root,root) %{_sbindir}/safe_asterisk
%attr(0755,root,root) %{_sbindir}/smsq
%attr(0755,root,root) %{_sbindir}/stereorize
%attr(0755,root,root) %{_sbindir}/streamplayer
%{_mandir}/man8/asterisk.8*
%{_mandir}/man8/astgenkey.8*
%{_mandir}/man8/autosupport.8*
%{_mandir}/man8/safe_asterisk.8*
%attr(0750,asterisk,asterisk) %dir /var/lib/asterisk
%attr(0750,asterisk,asterisk) %dir /var/lib/asterisk/agi-bin
%attr(0750,asterisk,asterisk) /var/lib/asterisk/documentation
%attr(0750,asterisk,asterisk) /var/lib/asterisk/images
%attr(0750,asterisk,asterisk) /var/lib/asterisk/keys
%attr(0750,asterisk,asterisk) /var/lib/asterisk/phoneprov
%attr(0750,asterisk,asterisk) /var/lib/asterisk/static-http
%attr(0750,asterisk,asterisk) %dir /var/lib/asterisk/moh
%attr(0750,asterisk,asterisk) %dir /var/lib/asterisk/sounds
%attr(0750,asterisk,asterisk) %dir /var/log/asterisk
%attr(0750,asterisk,asterisk) %dir /var/log/asterisk/cdr-csv
%attr(0750,asterisk,asterisk) %dir /var/log/asterisk/cdr-custom
%attr(0750,asterisk,asterisk) %dir /var/spool/asterisk
%attr(0770,asterisk,asterisk) %dir /var/spool/asterisk/monitor
%attr(0770,asterisk,asterisk) %dir /var/spool/asterisk/outgoing
%attr(0750,asterisk,asterisk) %dir /var/spool/asterisk/tmp
%attr(0750,asterisk,asterisk) %dir /var/spool/asterisk/voicemail
%attr(0755,asterisk,asterisk) %dir /var/run/asterisk
%attr(0640,asterisk,asterisk) %ghost /var/lib/asterisk/astdb
%attr(0640,asterisk,asterisk) %ghost /var/log/asterisk/cdr-csv/Master.csv
%attr(0640,asterisk,asterisk) %ghost /var/log/asterisk/console
%attr(0640,asterisk,asterisk) %ghost /var/log/asterisk/debug
%attr(0640,asterisk,asterisk) %ghost /var/log/asterisk/event_log
%attr(0640,asterisk,asterisk) %ghost /var/log/asterisk/h323_log
%attr(0640,asterisk,asterisk) %ghost /var/log/asterisk/messages
%attr(0640,asterisk,asterisk) %ghost /var/log/asterisk/queue_log

%files devel -f %{name}-devel.filelist
%defattr(-,root,root,-)
%doc doc/CODING-GUIDELINES doc/datastores.txt doc/modules.txt doc/valgrind.txt
%dir %{_includedir}/asterisk
%{_includedir}/asterisk.h
%{_includedir}/asterisk/*.h

%files firmware
%defattr(-,root,root,-)
%attr(0750,asterisk,asterisk) /var/lib/asterisk/firmware

%files plugins-ais
%defattr(-,root,root,-)
%attr(0640,asterisk,asterisk) %config(noreplace) %{_sysconfdir}/asterisk/ais.conf
%attr(0755,root,root) %{_libdir}/asterisk/modules/res_ais.so

%files plugins-alsa
%defattr(-,root,root,-)
%attr(0640,asterisk,asterisk) %config(noreplace) %{_sysconfdir}/asterisk/alsa.conf
%attr(0755,root,root) %{_libdir}/asterisk/modules/chan_alsa.so

%files plugins-curl
%defattr(-,root,root,-)
%doc contrib/scripts/dbsep.cgi
%attr(0640,asterisk,asterisk) %config(noreplace) %{_sysconfdir}/asterisk/dbsep.conf
%attr(0755,root,root) %{_libdir}/asterisk/modules/func_curl.so
%attr(0755,root,root) %{_libdir}/asterisk/modules/res_config_curl.so
%attr(0755,root,root) %{_libdir}/asterisk/modules/res_curl.so

%files plugins-dahdi
%defattr(-,root,root,-)
%attr(0640,asterisk,asterisk) %config(noreplace) %{_sysconfdir}/asterisk/meetme.conf
%attr(0640,asterisk,asterisk) %config(noreplace) %{_sysconfdir}/asterisk/chan_dahdi.conf
%attr(0755,root,root) %{_libdir}/asterisk/modules/app_flash.so
%attr(0755,root,root) %{_libdir}/asterisk/modules/app_meetme.so
%attr(0755,root,root) %{_libdir}/asterisk/modules/app_page.so
%attr(0755,root,root) %{_libdir}/asterisk/modules/app_dahdibarge.so
%attr(0755,root,root) %{_libdir}/asterisk/modules/app_dahdiras.so
%attr(0755,root,root) %{_libdir}/asterisk/modules/app_dahdiscan.so
%attr(0755,root,root) %{_libdir}/asterisk/modules/chan_dahdi.so
%attr(0755,root,root) %{_libdir}/asterisk/modules/codec_dahdi.so
%attr(0755,root,root) %{_libdir}/asterisk/modules/res_timing_dahdi.so

%files plugins-fax
%defattr(-,root,root,-)
%attr(0755,root,root) %{_libdir}/asterisk/modules/app_fax.so

%files plugins-festival
%defattr(-,root,root,-)
%attr(0640,asterisk,asterisk) %config(noreplace) %{_sysconfdir}/asterisk/festival.conf
%attr(0755,root,root) %{_libdir}/asterisk/modules/app_festival.so

%files plugins-ices
%defattr(-,root,root,-)
%doc contrib/asterisk-ices.xml
%attr(0755,root,root) %{_libdir}/asterisk/modules/app_ices.so

%files plugins-jabber
%defattr(-,root,root,-)
%doc doc/jabber.txt doc/jingle.txt
%attr(0640,asterisk,asterisk) %config(noreplace) %{_sysconfdir}/asterisk/gtalk.conf
%attr(0640,asterisk,asterisk) %config(noreplace) %{_sysconfdir}/asterisk/jabber.conf
%attr(0640,asterisk,asterisk) %config(noreplace) %{_sysconfdir}/asterisk/jingle.conf
%attr(0755,root,root) %{_libdir}/asterisk/modules/chan_gtalk.so
%attr(0755,root,root) %{_libdir}/asterisk/modules/chan_jingle.so
%attr(0755,root,root) %{_libdir}/asterisk/modules/res_jabber.so

%files plugins-jack
%defattr(-,root,root,-)
%attr(0755,root,root) %{_libdir}/asterisk/modules/app_jack.so

%files plugins-lua
%defattr(-,root,root,-)
%attr(0640,asterisk,asterisk) %config(noreplace) %{_sysconfdir}/asterisk/extensions.lua
%attr(0755,root,root) %{_libdir}/asterisk/modules/pbx_lua.so

%files plugins-ldap
%defattr(-,root,root,-)
%doc doc/ldap.txt
%attr(0640,asterisk,asterisk) %config(noreplace) %{_sysconfdir}/asterisk/res_ldap.conf
%attr(0755,root,root) %{_libdir}/asterisk/modules/res_config_ldap.so

%files plugins-minivm
%defattr(-,root,root,-)
%attr(0640,asterisk,asterisk) %config(noreplace) %{_sysconfdir}/asterisk/extensions_minivm.conf
%attr(0640,asterisk,asterisk) %config(noreplace) %{_sysconfdir}/asterisk/minivm.conf
%attr(0755,root,root) %{_libdir}/asterisk/modules/app_minivm.so

%if %{build_misdn}
%files plugins-misdn
%defattr(-,root,root,-)
%attr(0640,asterisk,asterisk) %config(noreplace) %{_sysconfdir}/asterisk/misdn.conf
%attr(0755,root,root) %{_libdir}/asterisk/modules/chan_misdn.so
%endif

%if %{build_odbc}
%files plugins-odbc
%defattr(-,root,root,-)
%attr(0640,asterisk,asterisk) %config(noreplace) %{_sysconfdir}/asterisk/cdr_adaptive_odbc.conf
%attr(0640,asterisk,asterisk) %config(noreplace) %{_sysconfdir}/asterisk/cdr_odbc.conf
%attr(0640,asterisk,asterisk) %config(noreplace) %{_sysconfdir}/asterisk/func_odbc.conf
%attr(0640,asterisk,asterisk) %config(noreplace) %{_sysconfdir}/asterisk/res_odbc.conf
%attr(0755,root,root) %{_libdir}/asterisk/modules/cdr_adaptive_odbc.so
%attr(0755,root,root) %{_libdir}/asterisk/modules/cdr_odbc.so
%attr(0755,root,root) %{_libdir}/asterisk/modules/func_odbc.so
%attr(0755,root,root) %{_libdir}/asterisk/modules/res_config_odbc.so
%attr(0755,root,root) %{_libdir}/asterisk/modules/res_odbc.so
%endif

%if %{build_oss}
%files plugins-oss
%defattr(-,root,root,-)
%attr(0640,asterisk,asterisk) %config(noreplace) %{_sysconfdir}/asterisk/oss.conf
%attr(0755,root,root) %{_libdir}/asterisk/modules/chan_oss.so

%files plugins-usbradio
%defattr(-,root,root,-)
%attr(0640,asterisk,asterisk) %config(noreplace) %{_sysconfdir}/asterisk/usbradio.conf
%attr(0755,root,root) %{_libdir}/asterisk/modules/chan_usbradio.so
%endif

%files plugins-osp
%defattr(-,root,root)
%attr(0640,asterisk,asterisk) %config(noreplace) %{_sysconfdir}/asterisk/osp.conf
%attr(0755,root,root) %{_libdir}/asterisk/modules/app_osplookup.so

%files plugins-portaudio
%defattr(-,root,root,-)
%attr(0640,asterisk,asterisk) %config(noreplace) %{_sysconfdir}/asterisk/console.conf
%attr(0755,root,root) %{_libdir}/asterisk/modules/chan_console.so

%files plugins-pgsql
%defattr(-,root,root,-)
%doc contrib/scripts/realtime_pgsql.sql
%attr(0640,asterisk,asterisk) %config(noreplace) %{_sysconfdir}/asterisk/cdr_pgsql.conf
%attr(0640,asterisk,asterisk) %config(noreplace) %{_sysconfdir}/asterisk/res_pgsql.conf
%attr(0755,root,root) %{_libdir}/asterisk/modules/cdr_pgsql.so
%attr(0755,root,root) %{_libdir}/asterisk/modules/res_config_pgsql.so

%files plugins-radius
%defattr(-,root,root,-)
%attr(0755,root,root) %{_libdir}/asterisk/modules/cdr_radius.so

%files plugins-skinny
%defattr(-,root,root,-)
%attr(0640,asterisk,asterisk) %config(noreplace) %{_sysconfdir}/asterisk/skinny.conf
%attr(0755,root,root) %{_libdir}/asterisk/modules/chan_skinny.so

%files plugins-snmp
%defattr(-,root,root,-)
%doc doc/asterisk-mib.txt
%doc doc/digium-mib.txt
%doc doc/snmp.txt
%attr(0640,asterisk,asterisk) %config(noreplace) %{_sysconfdir}/asterisk/res_snmp.conf
%attr(0644,root,root) /var/lib/snmp/mibs/ASTERISK-MIB.txt
%attr(0644,root,root) /var/lib/snmp/mibs/DIGIUM-MIB.txt
%attr(0755,root,root) %{_libdir}/asterisk/modules/res_snmp.so

%files plugins-sqlite
%defattr(-,root,root,-)
%attr(0640,asterisk,asterisk) %config(noreplace) %{_sysconfdir}/asterisk/cdr_sqlite3_custom.conf
%attr(0640,asterisk,asterisk) %config(noreplace) %{_sysconfdir}/asterisk/res_config_sqlite.conf
%attr(0755,root,root) %{_libdir}/asterisk/modules/cdr_sqlite3_custom.so

%files plugins-speex
%defattr(-,root,root,-)
%attr(0755,root,root) %{_libdir}/asterisk/modules/codec_speex.so
%attr(0755,root,root) %{_libdir}/asterisk/modules/func_speex.so

%files plugins-tds
%defattr(-,root,root,-)
%attr(0640,asterisk,asterisk) %config(noreplace) %{_sysconfdir}/asterisk/cdr_tds.conf
%attr(0755,root,root) %{_libdir}/asterisk/modules/cdr_tds.so

%files plugins-unistim
%defattr(-,root,root,-)
%doc doc/unistim.txt
%attr(0640,asterisk,asterisk) %config(noreplace) %{_sysconfdir}/asterisk/unistim.conf
%attr(0755,root,root) %{_libdir}/asterisk/modules/chan_unistim.so

%files plugins-voicemail
%defattr(-,root,root,-)
%attr(0640,asterisk,asterisk) %config(noreplace) %{_sysconfdir}/asterisk/voicemail.conf
%attr(0755,root,root) %{_libdir}/asterisk/modules/func_vmcount.so

%files plugins-voicemail-imap
%defattr(-,root,root,-)
%attr(0755,root,root) %{_libdir}/asterisk/modules/app_directory_imap.so
%attr(0755,root,root) %{_libdir}/asterisk/modules/app_voicemail_imap.so

%if %{build_odbc}
%files plugins-voicemail-odbc
%defattr(-,root,root,-)
%doc doc/voicemail_odbc_postgresql.txt
%attr(0755,root,root) %{_libdir}/asterisk/modules/app_directory_odbc.so
%attr(0755,root,root) %{_libdir}/asterisk/modules/app_voicemail_odbc.so
%endif

%files plugins-voicemail-plain
%defattr(-,root,root,-)
%attr(0755,root,root) %{_libdir}/asterisk/modules/app_directory_plain.so
%attr(0755,root,root) %{_libdir}/asterisk/modules/app_voicemail_plain.so


%changelog
* Wed Apr 21 2010 Funda Wang <fwang@mandriva.org> 1.6.2.6-4mdv2010.1
+ Revision: 537397
- rebuild

* Mon Mar 22 2010 Lonyai Gergely <aleph@mandriva.org> 1.6.2.6-3mdv2010.1
+ Revision: 526344
- Add new dependency: libxml2-config
- Remove full gtk dependency (#58291 - Asterisk requires gtk 1.2)

* Tue Mar 16 2010 Lonyai Gergely <aleph@mandriva.org> 1.6.2.6-1mdv2010.1
+ Revision: 520680
- Fix a sqlite3 compilation problem with a patch from the upstream
- 1.6.2.6

* Fri Feb 26 2010 Lonyai Gergely <aleph@mandriva.org> 1.6.2.5-1mdv2010.1
+ Revision: 511479
- 1.6.2.5
  Security fix - AST-2010-003: Invalid parsing of ACL rules can compromise security
- 1.6.2.4
- Fix the g729/g723 postinstall script

* Wed Feb 03 2010 Lonyai Gergely <aleph@mandriva.org> 1.6.2.2-1mdv2010.1
+ Revision: 499970
- 1.6.2.2
  Security fix: AST-2010-001: T.38 Remote Crash Vulnerability

* Thu Jan 21 2010 Frederik Himpe <fhimpe@mandriva.org> 1.6.2.1-1mdv2010.1
+ Revision: 494639
- update to new version 1.6.2.1

* Wed Jan 06 2010 Lonyai Gergely <aleph@mandriva.org> 1.6.2.0-1mdv2010.1
+ Revision: 486695
- Fix an alsa dependency (#2) and lua dependency
- Fix an alsa dependency
- 1.6.2.0
- 1.6.1.11

* Thu Nov 12 2009 Lonyai Gergely <aleph@mandriva.org> 1.6.1.9-1mdv2010.1
+ Revision: 465155
- 1.6.1.9
  AST-2009-009 - Cross-site AJAX request vulnerability
  AST-2009-008 - SIP responses expose valid usernames

* Fri Nov 06 2009 Lonyai Gergely <aleph@mandriva.org> 1.6.1.8-2mdv2010.1
+ Revision: 461560
- fix: the g72x binaries files not executable

* Tue Oct 27 2009 Lonyai Gergely <aleph@mandriva.org> 1.6.1.8-1mdv2010.0
+ Revision: 459515
- 1.6.1.8
- Security fix: #AST-2009-007 - ACL not respected on SIP INVITE (Unauthorized calls allowed on prohibited networks)

* Thu Oct 15 2009 Oden Eriksson <oeriksson@mandriva.com> 1.6.1.6-5mdv2010.0
+ Revision: 457672
- rebuild

* Wed Oct 07 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 1.6.1.6-4mdv2010.0
+ Revision: 455767
- rebuild for new curl SSL backend

* Fri Sep 25 2009 Lonyai Gergely <aleph@mandriva.org> 1.6.1.6-3mdv2010.0
+ Revision: 448768
- fix lib64usb dependency
- change usb buildrequires
- rebuild
- kill the usb check
- rebuild
- build
- prepare release

* Thu Sep 10 2009 Lonyai Gergely <aleph@mandriva.org> 1.6.1.6-1mdv2010.0
+ Revision: 437323
- 1.6.1.6
- add asterisk.makeopts to devel package

* Tue Sep 01 2009 Lonyai Gergely <aleph@mandriva.org> 1.6.1.5-1mdv2010.0
+ Revision: 423607
- update to 1.6.1.5
- add a g729 and g723 "support"

* Tue Aug 11 2009 Lonyai Gergely <aleph@mandriva.org> 1.6.1.4-1mdv2010.0
+ Revision: 414794
- update to 1.6.1.4
 - Fix security bug:
  - AST-2009-005 - Remote crash vulnerability in SIP stack
  - AST-2009-004 - Remote crash vulnerability in RTP stack

* Mon Aug 03 2009 Lonyai Gergely <aleph@mandriva.org> 1.6.1.2-1mdv2010.0
+ Revision: 408402
- update to 1.6.1.2
 - security fix release: AST-2009-004

* Sun Jun 07 2009 Lonyai Gergely <aleph@mandriva.org> 1.6.1.1-1mdv2010.0
+ Revision: 383675
- Update to 1.6.1.1
 - Sec fix: AST-2009-001

* Mon May 11 2009 Lonyai Gergely <aleph@mandriva.org> 1.6.1.0-1mdv2010.0
+ Revision: 374733
- asterisk-1.6.1.0

* Tue Apr 07 2009 Stefan van der Eijk <stefan@mandriva.org> 1.6.1.0-0.0.rc4.1mdv2009.1
+ Revision: 365067
- 1.6.1.0-rc4

* Thu Apr 02 2009 Stefan van der Eijk <stefan@mandriva.org> 1.6.1.0-0.0.rc3.3mdv2009.1
+ Revision: 363614
- AST-2009-003-1.6.1.diff
- AST-2009-003-1.6.1.diff

* Mon Mar 30 2009 Lonyai Gergely <aleph@mandriva.org> 1.6.1.0-0.0.rc3.2mdv2009.1
+ Revision: 362426
- add require: asterisk-moh-freeplay

* Sun Mar 22 2009 Frederik Himpe <fhimpe@mandriva.org> 1.6.1.0-0.0.rc3.1mdv2009.1
+ Revision: 360302
- Re-enable patch6: disabling this breaks build
- Update to 1.6.1.O-rc3

  + Lonyai Gergely <aleph@mandriva.org>
    - asterisk-1.6.1.0-rc2

  + Stefan van der Eijk <stefan@mandriva.org>
    - 1.6.1.0-rc2
    - change ASTDATADIR back to Digium standard /var/lib/asterisk

* Tue Feb 24 2009 Lonyai Gergely <aleph@mandriva.org> 1.6.1-0.0.rc1.2mdv2009.1
+ Revision: 344395
- fix x86_64 hoard dependency problem
- fix one include problem in main/editline/
- + Update to 1.6.1-rc1
- move chan_mobile to asterisk-addons
- build_misdn default value = 0
- build_odbc default value = 0
- Update 1.6.1-rc1, v2
- Update 1.6.1-rc1, default build_odbc=0

* Thu Dec 11 2008 Oden Eriksson <oeriksson@mandriva.com> 1.6.1-0.0.beta3.1mdv2009.1
+ Revision: 313443
- fix deps (sqlite3-devel)
- 1.6.1-beta3
- sync with fedora
- drop patches, rediff patches

* Tue Oct 14 2008 Oden Eriksson <oeriksson@mandriva.com> 1.4.22-1mdv2009.1
+ Revision: 293644
- 1.4.22

* Mon Aug 11 2008 Oden Eriksson <oeriksson@mandriva.com> 1.4.21.2-4mdv2009.0
+ Revision: 270874
- rebuild
- fix backporting

* Mon Aug 11 2008 Oden Eriksson <oeriksson@mandriva.com> 1.4.21.2-3mdv2009.0
+ Revision: 270657
- make it back portable (probably...)

* Mon Aug 04 2008 Oden Eriksson <oeriksson@mandriva.com> 1.4.21.2-2mdv2009.0
+ Revision: 263101
- rebuild

* Sat Aug 02 2008 Oden Eriksson <oeriksson@mandriva.com> 1.4.21.2-1mdv2009.0
+ Revision: 260781
- 1.4.21.2

* Sat Jul 12 2008 Oden Eriksson <oeriksson@mandriva.com> 1.4.21.1-2mdv2009.0
+ Revision: 234195
- fix build

  + Funda Wang <fwang@mandriva.org>
    - fix BR
    - rebuild to reupload main binary package

* Wed Jul 09 2008 Oden Eriksson <oeriksson@mandriva.com> 1.4.21.1-1mdv2009.0
+ Revision: 233106
- 1.4.21.1

* Fri Jun 20 2008 Oden Eriksson <oeriksson@mandriva.com> 1.4.21-1mdv2009.0
+ Revision: 227545
- 1.4.21
- rediffed P0,P4
- hardcode %%{_localstatedir}

* Mon Jun 16 2008 Anssi Hannula <anssi@mandriva.org> 1.4.19.2-2mdv2009.0
+ Revision: 219508
- build with main freetds; it has equal functionality now
  (asterisk-freetds_mssql.diff renamed to asterisk-freetds.diff with
   renaming hunks removed)

  + Pixel <pixel@mandriva.com>
    - adapt to %%_localstatedir now being /var instead of /var/lib (#22312)

* Thu May 15 2008 Oden Eriksson <oeriksson@mandriva.com> 1.4.19.2-1mdv2009.0
+ Revision: 207638
- fix the freetds_mssql stuff
- 1.4.19.2

* Mon May 05 2008 Oden Eriksson <oeriksson@mandriva.com> 1.4.19.1-2mdv2009.0
+ Revision: 201344
- drop the AsteriskDocs-html, it's from 2003. there's a pdf at http://www.asteriskdocs.org/
- re-enable freetds_mssql
- drop P100, correct SIP over TCP / TLS support will come in 1.6
- fix a lot of other stuff

* Sun May 04 2008 Oden Eriksson <oeriksson@mandriva.com> 1.4.19.1-1mdv2009.0
+ Revision: 201024
- 1.4.19.1 fixes CVE-2008-1897
- added P21 to make it build on cooker with autoconf-2.62

  + Stefan van der Eijk <stefan@mandriva.org>
    - 1.4.19.1

* Wed Apr 09 2008 Oden Eriksson <oeriksson@mandriva.com> 1.4.19-1mdv2009.0
+ Revision: 192516
- 1.4.19
- rediffed some patches

  + Stefan van der Eijk <stefan@mandriva.org>
    - 1.4.19

* Wed Mar 19 2008 Stefan van der Eijk <stefan@mandriva.org> 1.4.18.1-1mdv2008.1
+ Revision: 188845
- add new source
- 1.4.18.1

* Mon Feb 18 2008 Thierry Vignaud <tv@mandriva.org> 1.4.18-2mdv2008.1
+ Revision: 170767
- rebuild

* Thu Feb 07 2008 Stefan van der Eijk <stefan@mandriva.org> 1.4.18-1mdv2008.1
+ Revision: 163807
- 1.4.18

* Wed Jan 23 2008 Thierry Vignaud <tv@mandriva.org> 1.4.17-2mdv2008.1
+ Revision: 157239
- rebuild with fixed %%serverbuild macro

* Thu Jan 03 2008 Stefan van der Eijk <stefan@mandriva.org> 1.4.17-1mdv2008.1
+ Revision: 141689
- 1.4.17

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sun Dec 23 2007 Stefan van der Eijk <stefan@mandriva.org> 1.4.16.2-1mdv2008.1
+ Revision: 137314
- 1.4.16.2

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Dec 03 2007 Stefan van der Eijk <stefan@mandriva.org> 1.4.15-1mdv2008.1
+ Revision: 114540
- 1.4.15
- disable tcp

* Thu Oct 11 2007 Stefan van der Eijk <stefan@mandriva.org> 1.4.13-1mdv2008.1
+ Revision: 96963
- 1.4.13

* Wed Oct 03 2007 Stefan van der Eijk <stefan@mandriva.org> 1.4.12-1mdv2008.1
+ Revision: 94880
- 1.4.12
- 1.4.12

* Sun Sep 09 2007 Stefan van der Eijk <stefan@mandriva.org> 1.4.11-2mdv2008.0
+ Revision: 83544
- fix chan_sip INFO content length = 0
- new SIP over tcp patch
- enable SIP over tcp for now

* Sat Aug 25 2007 Stefan van der Eijk <stefan@mandriva.org> 1.4.11-1mdv2008.0
+ Revision: 71358
- add BuildRequires: perl-devel
- 1.4.11

  + Oden Eriksson <oeriksson@mandriva.com>
    - rebuilt against latest net-snmp-devel

* Wed Aug 08 2007 Stefan van der Eijk <stefan@mandriva.org> 1.4.10-1mdv2008.0
+ Revision: 60039
- 1.4.10

* Wed Jul 25 2007 Stefan van der Eijk <stefan@mandriva.org> 1.4.9-1mdv2008.0
+ Revision: 55187
- 1.4.9

* Tue Jul 24 2007 Oden Eriksson <oeriksson@mandriva.com> 1.4.8-2mdv2008.0
+ Revision: 54917
- fix build
- fix #29812
- use the new %%serverbuild macro
- spec file cleansing

  + Stefan van der Eijk <stefan@mandriva.org>
    - adjust BuildRequires to new dev package standard (cough)
    - 1.4.8

* Tue Jul 10 2007 Stefan van der Eijk <stefan@mandriva.org> 1.4.7.1-1mdv2008.0
+ Revision: 51072
- 1.4.7.1

* Tue Jul 10 2007 Stefan van der Eijk <stefan@mandriva.org> 1.4.7-1mdv2008.0
+ Revision: 50816
- 1.4.7

* Fri Jun 29 2007 Stefan van der Eijk <stefan@mandriva.org> 1.4.6-1mdv2008.0
+ Revision: 45922
- 1.4.6

* Sat Jun 16 2007 Stefan van der Eijk <stefan@mandriva.org> 1.4.5-1mdv2008.0
+ Revision: 40346
- 1.4.5

* Thu May 31 2007 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 1.4.4-2mdv2008.0
+ Revision: 33294
- Rebuild with libnewt0.52.

* Wed May 02 2007 Stefan van der Eijk <stefan@mandriva.org> 1.4.4-1mdv2008.0
+ Revision: 20522
- 1.4.4

* Wed Apr 25 2007 Stefan van der Eijk <stefan@mandriva.org> 1.4.3-1mdv2008.0
+ Revision: 18328
- 1.4.3


* Fri Mar 30 2007 Stefan van der Eijk <stefan@mandriva.org> 1.4.2-1mdv2007.1
+ Revision: 149806
- 1.4.2

* Sun Mar 04 2007 Stefan van der Eijk <stefan@mandriva.org> 1.4.1-1mdv2007.1
+ Revision: 132083
- rm -rf instead of rm -f
- sort out more of the sounds stuff
- 1.4.1
- remove gtalk patches (merged upstream)
- disable build_tds for now (patch broke)

* Thu Feb 15 2007 Oden Eriksson <oeriksson@mandriva.com> 1.4.0-4mdv2007.1
+ Revision: 121453
- use the stand alone asterisk-core-sounds package instead

* Mon Feb 12 2007 Stefan van der Eijk <stefan@mandriva.org> 1.4.0-3mdv2007.1
+ Revision: 118837
- add gtalk / jabber patches from http://bugs.digium.com/view.php?id=7764
- change permisions on configuration files
- comment out unused patches
- bump release

* Fri Dec 29 2006 Stefan van der Eijk <stefan@mandriva.org> 1.4.0-2mdv2007.1
+ Revision: 102675
- disable SIP over TCP / TLS for now
- add some missing dirs
- updated SIP over TCP / TLS patch to 20061212, but it doesn't apply 100%%

* Sun Dec 24 2006 Stefan van der Eijk <stefan@mandriva.org> 1.4.0-1mdv2007.1
+ Revision: 101978
- 1.4.0

* Sat Dec 23 2006 Stefan van der Eijk <stefan@mandriva.org> 1.4.0-0.6.beta4mdv2007.1
+ Revision: 101874
- Thu Dec 21 2006 P. Christeas <p_christeas@yahoo.com>
- Fix iax2 with chan_iax2.c rev. 48564
- Add app_rxfax, app_txfax for 1.4 (correct patch)

* Tue Dec 19 2006 Stefan van der Eijk <stefan@mandriva.org> 1.4.0-0.5.beta4mdv2007.1
+ Revision: 99731
- re-add
- re-add ppcfix patch
- 1.4.0-beta4

  + Oden Eriksson <oeriksson@mandriva.com>
    - rebuild
    - rebuilt against curl-7.16.0

* Fri Oct 27 2006 Oden Eriksson <oeriksson@mandriva.com> 1.4.0-0.4.beta3mdv2007.1
+ Revision: 73077
- add more build deps (pam,krb5)
- dropped upstream/obsolete patches; P9,P10
- rediffed P4
- added P16,P17,P18
- enable almost all the bundled modules/drivers/features
- major deps changes, you really need the build deps from svn to be able to build it
- did some general spec file cleansing...

  + Stefan van der Eijk <stefan@mandriva.org>
    - fixed rundir path in /etc/asterisk/asterisk.conf
    - 1.4.0-beta3

* Thu Oct 19 2006 Stefan van der Eijk <stefan@mandriva.org> 1.4.0-0.1.beta2mdv2007.0
+ Revision: 70980
- 1.4.0 beta2, first try
- Import asterisk

* Sun Sep 17 2006 Stefan van der Eijk <stefan@mandriva.org> 1.2.12.1-1
- 1.2.12.1
- rediffed patch15 (metermaid)

* Sat Sep 09 2006 Stefan van der Eijk <stefan@mandriva.org> 1.2.12-1
- 1.2.12

* Fri Sep 01 2006 Stefan van der Eijk <stefan@mandriva.org> 1.2.11-1
- 1.2.11
- disable chan_misdn package

* Thu Aug 17 2006 Stefan van der Eijk <stefan@mandriva.org> 1.2.10-2
- added patch15: asterisk-1.2.7.1-metermaid, digium issue #5779
  requested by Mat Murdock

* Wed Jul 19 2006 Stefan van der Eijk <stefan@mandriva.org> 1.2.10-1
- 1.2.10

* Wed Jun 07 2006 Stefan van der Eijk <stefan@eijk.nu> 1.2.9.1-1mdv2007.0
- 1.2.9.1

* Wed Jun 07 2006 Stefan van der Eijk <stefan@eijk.nu> 1.2.9-1mdv2007.0
- 1.2.9

* Thu Jun 01 2006 Oden Eriksson <oeriksson@mandriva.com> 1.2.8-1mdv2007.0
- 1.2.8
- rediffed P0
- provide the generated devel docs

* Tue May 16 2006 Stefan van der Eijk <stefan@eijk.nu> 1.2.7.1-4mdk
- apply patch 14 to non ix86 archs

* Mon May 01 2006 Emmanuel Blindauer <blindauer@mandriva.org> 1.2.7.1-3mdk
- Remove ExclusiveArch as sys/io.h is only needed in an extra program
- really fix build for ppc

* Mon May 01 2006 Emmanuel Blindauer <blindauer@mandriva.org> 1.2.7.1-2mdk
- fix ExclusiveArch

* Fri Apr 14 2006 Stefan van der eijk <stefan@eijk.nu> 1.2.7.1-1mdk
- 1.2.7.1

* Fri Apr 14 2006 Stefan van der eijk <stefan@eijk.nu> 1.2.7-1mdk
- 1.2.7

* Thu Mar 30 2006 Stefan van der eijk <stefan@eijk.nu> 1.2.6-1mdk
- 1.2.6

* Sat Mar 18 2006 Stefan van der eijk <stefan@eijk.nu> 1.2.5-3mdk
- add dependencies to webvmail package

* Wed Mar 15 2006 Oden Eriksson <oeriksson@mandriva.com> 1.2.5-2mdk
- drop the bristuff patch, use visdn instead as it is less intrusive

* Sun Mar 05 2006 Oden Eriksson <oeriksson@mandriva.com> 1.2.5-1mdk
- 1.2.5
- rediffed P0,P3,P4

* Sun Feb 19 2006 Oden Eriksson <oeriksson@mandriva.com> 1.2.4-5mdk
- activated the spandsp fax stuff with a new P1

* Sun Feb 19 2006 Oden Eriksson <oeriksson@mandriva.com> 1.2.4-4mdk
- bristuff-0.3.0-PRE-1l (P3)
- ship the misdn stuff (P10)

* Fri Feb 17 2006 Oden Eriksson <oeriksson@mandriva.com> 1.2.4-3mdk
- rework the initscript, that safe_asterisk is really not safe
- more permissions fixes

* Tue Feb 14 2006 Oden Eriksson <oeriksson@mandriva.com> 1.2.4-2mdk
- second go at using external codec libs (lpc10,gsm,ilbc)
- fix permissions

* Sun Feb 05 2006 stefan van der Eijk <stefan@eijk.nu> 1.2.4-1mdk
- 1.2.4
- update bristuff to 0.3.0-PRE-1i
- added patch100. to fix "too few arguments to function 'ast_request'"

* Mon Jan 09 2006 Olivier Blin <oblin@mandriva.com> 1.2.1-6mdk
- fix typo in initscript

* Sun Jan 08 2006 Olivier Blin <oblin@mandriva.com> 1.2.1-5mdk
- convert parallel init to LSB

* Thu Jan 05 2006 Stefan van der Eijk <stefan@eijk.nu> 1.2.1-4mdk
- we need /var/run/asterisk
- pinit startup script
- lock down some directories
- make seperate package for webvmail

* Tue Dec 27 2005 Oden Eriksson <oeriksson@mandriva.com> 1.2.1-3mdk
- activate rediffed bristuff patch (P3)
- added the capi sub package

* Mon Dec 26 2005 Stefan van der Eijk <stefan@eijk.nu> 1.2.1-2mdk
- update bristuff to 0.3.0-PRE-1d

* Mon Dec 12 2005 Stefan van der Eijk <stefan@eijk.nu> 1.2.1-1mdk
- 1.2.1
- rediff patch0

* Sun Nov 20 2005 Oden Eriksson <oeriksson@mandriva.com> 1.2.0-1mdk
- 1.2.0
- don't add and then blindly remove suid bit on /usr/bin/mpg123
- don't lie in the %%description
- new S2 (AsteriskDocs)

* Sat Nov 12 2005 Stefan van der Eijk <stefan@eijk.nu> 1.2.0-0.rc2.1mdk
- 1.2.0-rc2

* Wed Nov 09 2005 Stefan van der Eijk <stefan@eijk.nu> 1.2.0-0.rc1.1mdk
- 1.2.0-rc1
- drop patch5 --> merged upstream

* Sun Oct 30 2005 Stefan van der Eijk <stefan@eijk.nu> 1.2.0-0.beta1.5mdk
- BuildRequires oggvorbis-devel

* Sun Oct 30 2005 Oden Eriksson <oeriksson@mandriva.com> 1.2.0-0.beta1.4mdk
- install more missing headers
- remove insane deps names

* Sun Oct 30 2005 Stefan van der Eijk <stefan@eijk.nu> 1.2.0-0.beta1.3mdk
- multiarch
- use asterisk user, also adjust source1
- add / remove setuidroot bit on /usr/bin/mpg123 for MOH

* Sun Oct 23 2005 Stefan van der Eijk <stefan@eijk.nu> 1.2.0-beta1-1mdk
- 1.2.0-beta1
- removed patch6 (indications) merged upstream
- disable bristuff patch for now
- add some new files
- BuildRequires

* Tue Sep 06 2005 Oden Eriksson <oeriksson@mandriva.com> 1.1-0.20050529.2mdk
- rebuild
- use sane deps names
- added P9 due api changes in new freetds libs

* Thu Jun 30 2005 Oden Eriksson <oeriksson@mandriva.com> 1.1-20050529.1mdk
- use a more appropriate version because this is really HEAD and not 1.0.8

* Wed Jun 01 2005 Oden Eriksson <oeriksson@mandriva.com> 1.0.8-0.20050529.1mdk
- new snap (20050529)
- bristuff-0.2.0-RC8f-CVS (P3)
- drop P7 - not needed anymore
- drop P9 - applied upstream

* Wed May 18 2005 Oden Eriksson <oeriksson@mandriva.com> 1.0.8-0.20050420.6mdk
- added one gcc4 fix in P3 (debian)
- added support for Swedish and Norwegian in app_voicemail.c (P9)
  (Daniel Nylander)

* Fri Apr 29 2005 Oden Eriksson <oeriksson@mandriva.com> 1.0.8-0.20050420.5mdk
- bristuff-0.2.0-RC8a-CVS (P3)
- mention the bristuff version in the description

* Fri Apr 29 2005 Oden Eriksson <oeriksson@mandriva.com> 1.0.8-0.20050420.4mdk
- heh! i had totally forgotten i packed the osptoolkit, so why not enable it?
- fix deps

* Thu Apr 28 2005 Oden Eriksson <oeriksson@mandriva.com> 1.0.8-0.20050420.3mdk
- fix openh323 driver build on x86_64
- fix deps

* Thu Apr 28 2005 Oden Eriksson <oeriksson@mandriva.com> 1.0.8-0.20050420.2mdk
- added some missing/forgotten log directories
- let the openh323 driver listen on 0.0.0.0 (P8)

* Thu Apr 28 2005 Oden Eriksson <oeriksson@mandriva.com> 1.0.8-0.20050420.1mdk
- bristuff-0.2.0-RC8-CVS
- provide the asterisk-addons stuff from another package
- added more countries in the indications.conf file
- deactivate the fax stuff, it won't build
- activate the openh323 stuff as it builds now (on cooker/10.2)

* Sat Apr 23 2005 Oden Eriksson <oeriksson@mandriva.com> 1.0.7-5mdk
- bristuff-0.2.0-RC8
- fix the sysv script after looking at what's in the contribs directory

* Thu Apr 21 2005 Oden Eriksson <oeriksson@mandriva.com> 1.0.7-4mdk
- rebuilt against new postgresql libs

* Mon Apr 11 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 1.0.7-3mdk
- argh!, i missed the offending "extern int errno;" stuff

* Sun Apr 10 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 1.0.7-2mdk
- more freetds 0.63 fixes (P8)
- add forgotten errno.h header inclusion in app_rxfax.c and app_txfax.c

* Thu Mar 31 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 1.0.7-1mdk
- 1.0.7
- rediff P0 and touch P4
- added P8

* Sun Mar 13 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 1.0.6-1mdk
- 1.0.6
- rediff P0,P3,P4
- bristuff-0.2.0-RC7k
- use the %%mkrel macro
- revert the broken usage of broken out libs such as db1, gsm,
  libedit, libilbc and lpc10. this might work better sometime 
  in the future.
- link against the new mssql friendly freetds lib, deps and P7
- fix #12534

* Mon Jan 24 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 1.0.3-4mdk
- rebuilt against MySQL-4.1.x and PostgreSQL-8.x system libs

* Sun Jan 09 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 1.0.3-3mdk
- fixed P0 to remove readline-devel deps

* Sun Dec 26 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.0.3-2mdk
- added missing headers

* Sun Dec 26 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.0.3-1mdk
- 1.0.3
- bristuff-0.2.0-RC3 (P3)
- rediffed P0, P2
- added P6

* Fri Nov 12 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.0.2-2mdk
- bristuff-0.2.0-rc2a (P3), added missing arguments in apps/app_rpt.c
- deactivate chan_h323 as it's too broken
- deactivate res_perl, it won't build
- turn off debug

* Mon Nov 01 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.0.2-1mdk
- 1.0.2
- rediffed P0
- bristuff-0.2.0-rc2 (P3)

* Tue Oct 05 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.0.1-2mdk
- oops!, have to hack the perl stuff some more before building it...

* Tue Oct 05 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.0.1-1mdk
- 1.0.1
- rediffed P3
- added the perl stuff

* Tue Sep 28 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.0.0-4mdk
- fixed P1 (gsm and ilbc is shared libraries now)
- openh323-devel seemed borked, require >= 1.13.5.3-2mdk

* Mon Sep 27 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.0.0-3mdk
- fixed P1
- added P3 by Klaus-Peter Junghanns

* Mon Sep 27 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.0.0-2mdk
- add one small fix in P0 and also mention that fragments of it 
  originates from debian.

* Sat Sep 25 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.0.0-1mdk
- 1.0.0
- fix url

* Thu Sep 23 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0-0.20040916.3mdk
- Rebuild with latest pwlib/openh323

* Wed Sep 22 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.0-0.20040916.2mdk
- fix BuildRequires (Stefan van der Eijk <stefan@eijk.nu>)

* Fri Sep 17 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.0-0.20040916.1mdk
- 20040916
- fix some bugs
- fix P0
- broke out some of the stuff into their respective plugins sub packages
- added the muted stuff
- added the README.MDK file

* Wed Sep 15 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.0-0.20040914.1mdk
- 20040914
- make it compile on cooker too
- merged P0 - P8 -> P0
- added the cdr_mysql code from the asterisk-addons package (merged into P0)
- added format_mp3 asterisk-addon stuff from the asterisk-addons package
- added the docs from http://www.asteriskdocs.org/

* Tue Sep 14 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.0-0.20040912.1mdk
- 20040912
- rediff P0
- added the spandsp addon (P2)
- added logrotate stuff

* Mon Sep 13 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.0-0.RC2.2mdk
- fix the patches
- added P2, P3, P4, P5, P6 & P7

* Sat Sep 11 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.0-0.RC2.1mdk
- initial mandrake package
- used the provided spec file by Robert Vojta as a template
- added P0 & P1

